*%表題   データの入力
*%
*%履歴   91/04/11 佐藤正樹       C:\FORT\KANSOKU\TSTDATA.FOR
*%       91/04/13 佐藤正樹       C:\FORT\OORT\IDATA.FOR
*%       91/05/11 佐藤正樹       C:\FORT\OORT\IDATA.FOR
*%       91/05/14 佐藤正樹       C:\FORT\OORT\IOORTDATA.FOR
*%       91/05/21 佐藤正樹       C:\FORT\OORT\READORG.FOR
*%
*%
*-----------------------------------------------------------------------
      SUBROUTINE  READORG
     I           ( IR,       HIFL,
     O             HXNAME,   X,
     D             NLAT,     NPRS )
*
      INTEGER  NLAT           ! 緯度配列の次元
      INTEGER  NPRS           ! 圧力配列の次元
      INTEGER  IR             ! 入力ユニット番号

      CHARACTER  HXNAME*(*)   ! 変数名
      REAL  X(-NLAT:NLAT, 1:NPRS) ! 入力データ



*     < SUBROUTINE 内で定義 >

      INTEGER  IR             ! 入力ユニット番号
      CHARACTER HIFL*(*)      ! 入力ファイル名
      LOGICAL   LIEX          ! 入力ファイルの存在

      INTEGER  ILAT           ! 緯度配列の次元, DOループ
      INTEGER  IPRS           ! 圧力配列の次元, DOループ

*-----------------------------------------------------------------------
*     < 入力データファイルのオープン >

      INQUIRE(FILE=HIFL, EXIST=LIEX)
      IF( .NOT. LIEX ) THEN
        WRITE(6,*) '入力ファイルが存在しません'
        WRITE(6,*) ' ファイル名: ', HIFL
        STOP
      END IF


      OPEN ( IR, FILE=HIFL, STATUS='OLD' )



*     < 入力 >

      READ(IR,'(A13)')   HXNAME
      DO 100 ILAT = -NLAT, NLAT
        READ(IR,'(8F7.1)')    (X(ILAT,IPRS),IPRS=1,NPRS)
 100  CONTINUE

      WRITE(6,*) '入力データ',HXNAME



*     < ファイルのクローズ >

      CLOSE(IR)

*-----------------------------------------------------------------------

       RETURN
       END
